PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Utilities (`pydl.pydlutils`) »
- write_table_yanny

# write_table_yanny

pydl.pydlutils.yanny.write_table_yanny(table, filename, tablename=None, overwrite=False)

  Write a `Table` to a yanny file.

  If `table` has any metadata, it will be written to the file as well.

  This function is for use with `register_writer()`.

  Parameters
    table `astropy.table.Table`

      The object to be written.

    filename `str`

      Name of the file to write to.

    tablename `str`, optional

      Name to give `table` within the file.

    overwrite `bool`, optional

      If `True`, any existing file will be silently overwritten.